      subroutine init(amp)
      implicit none
      include 'param.inc'
      include 'posic.inc'
      include 'geom.inc'
      include 'init.inc'
      include 'nparticles.inc'
      include 'depletion.inc'
      integer i
      real amp,volume,pi
      logical expand,restart
      real ratiorst,mupolyrst

      open(15,file='data.mc')
      read(15,*) 
      read(15,*) RESTART
      read(15,*) 
      read(15,*) nstep,nsamp,nsave
      read(15,*) 
      read(15,*) ratiorst,mupolyrst
      read(15,*)
      read(15,*) PBC
      read(15,*)
      read(15,*) EXPAND
      close(15)



      open(20,file='mc.rst')
      read(20,*) np,lbox(1),lbox(2),lbox(3)
      if(np.gt.npmax) stop "increase npmax"
      read(20,*) ratio,mupoly   !restart=true continuo una simulacion anterior con ratio, mupoly dados

      if(.not.restart) then     !restart=false, COMIENZO una nueva simulacion, leo ratio,mupoly en data.mc
         ratio=ratiorst
         mupoly=mupolyrst
      end if

      read(20,*) amp
      do i=1,np        
         read(20,*) pos(i,1),pos(i,2),pos(i,3)
      end do
      close(20)
      write(*,*) 'read'
      volume=lbox(1)*lbox(2)*lbox(3)
      pi=4.0*atan(1.0)
      write(*,*) 'MONTECARLO-depletion-Asakura-Oosawa' 
      write(*,*) 'FRACTION_VOLUME_COLOID=',(pi/6)*real(np)/volume
      write(*,*) 'FRACTION_VOLUME_POLYMER=',mupoly
      write(*,*) 'RATIO_RPOLY_OVER_RCOLOID=',ratio
      write(*,*) 'NSTEPS',nstep
      write(*,*) 'NSAMP',nsamp
      write(*,*) 'NSAVE',nsave
      write(*,*) 'BOX_SIZE',LBOX

      if(expand) then
c ** EXPAND BOX TO SEE IF IT IS LIQUID OR GAS---
      lbox(1)=lbox(1)+15.0
c      do i=1,3
c         lbox(i)=lbox(i)+15.0
c      end do
      write(*,*) 'EXPANDED_BOX_SIZES',LBOX
      end if
      return
      end


