      subroutine energy(i,rp,ovlp,ep)
      implicit none
      include 'param.inc'
      include 'nparticles.inc'
      include 'posic.inc'
      include 'geom.inc'

      real rp(3),ep,rj(3)
      integer j,i
      real dist,eij

      logical ovlp

      ep=0.0
      do j=1,np
         if(j.ne.i) then
            call get_posic(j,rj)
            call mic_dist(rj,rp,lbox,dist)
            call energy_pair(dist,ovlp,eij)
            if(ovlp) return
            ep=ep+eij
         end if
      end do

      return
      end



      subroutine energy_pair(dist,ovlp,eij)  !AKURA-OOSAWA (DEPLECION COLOIDES-polimeros)
      implicit none
      real dist, eij,dm,dm6,dm12
c     * RCOLOID=0.5
c     **   rpoly=RATIO*RCOLOID
      logical ovlp
      INCLUDE 'depletion.inc'
      real rrr,ratm1,ddd,rcut


      ratm1=ratio+1.0
      rcut=ratm1                !the unit distance is diameter of colloid 
      rrr=(ratm1/ratio)**3
      ovlp=.false.
      eij=0.


      if(dist.lt.rcut) then
         ddd=dist/ratm1
         if(dist.lt.1.0) then
            ovlp=.true.
            return
         end if
         eij=mupoly*rrr
         eij=eij*(1.5*ddd-0.5*ddd**3-1.0)
      end if

      return
      end
