      program montecarlo
      implicit none
      include 'nparticles.inc'
      include 'init.inc'
      include 'depletion.inc'
      real amp
      integer i,step,nacc
      logical accept,ovlp
      real rold(3),rnew(3),enew,eold,dener
      real fac,rnd,sum,ener

      call init(amp)
      call control(0,accept,amp)
      call radial_distribution(0,23)

      open(77,file='energy.res')
c      write(77,*) '#SUM_DONE_EACH_NSAMP',NSAMP
      open(24,file='varpos.res')
      

      sum=0.
      do step=1,nstep         
         do i=1,np
            accept=.false.
            call get_posic(i,rold)
            call movemc(i,pbc,rold,rnew,amp)
            call energy(i,rold,ovlp,eold)
            ener=eold
            call energy(i,rnew,ovlp,enew)           
            if(ovlp) then
               accept=.false.
               goto 111
            end if
c     * si no hay overlap entre hardcores se evalua la energia de deplecion
            dener=enew-eold               
            fac=exp(-dener) !temp podria venir ya dividida en ener
            rnd=rand()
            if(rnd.lt.fac) accept=.true.
            if(accept) then
               nacc=nacc+1
               call give_posic(i,rnew)
               ener=enew
            end if
            sum=sum+ener
 111        continue
            call control(1,accept,amp)
         end do

         if(mod(step,nsamp).eq.0) then
            write(77,*) sum/real(np*nsamp)
            write(*,*) 'ENERGY',sum/real(np*nsamp)
            sum=0.0
            call control(2,accept,amp)
            call radial_distribution(1,23)
            call variance_positions(24)
         end if
         
         if(mod(step,nsave).eq.0) then
            call save(amp)
            call radial_distribution(2,23)
            call draw(55)
         end if

      end do

      close(77)
      close(24)

      end
